Subject: Re: bug#75725: SIGSEGV in emacs 30.0.93

From: Florian Franzmann <[email-masked]>
Date: Wed, 22 Jan 2025 18:42:52 +0100

On Mi 2025-01-22 16:34:49 +0200, Eli Zaretskii wrote:
> > Date: Wed, 22 Jan 2025 08:06:42 +0100
> > From: Florian Franzmann <[email-masked]>
> > Cc: [email-masked]
> > 
> > > > Maybe using MartianMono as doom-symbol-font is problematic?
> > > 
> > > I don't know yet.  Which characters is doom-symbol-font used for?
> > > 
> > > But you could try that hypothesis by using some other font there, and
> > > seeing if the previous build of Emacs still crashes then.
> > > 
> > > Also, any idea which font is used on the mode line, and
> > > what part of the mode line uses the '(raise FACTOR)' display property
> > > there?  That's the part where the display code hit the font = NULL
> > > condition.
> > In my modeline there is one character that for which there doesn't
> > seem to be a glyph, unicode F418. gucharmap shows that one as a symbol
> > for a version-control branch in MartianMono Nerd Font, I don't
> > understand why emacs doesn't find the symbol, the rest of the modeline
> > looks like it's using that font.
> 
> U+F418 is a private-use character.  Emacs knows nothing about such
> characters, since their meaning is entirely up to the applications
> and/or fonts that assigns the meaning to them.  So if doom-emacs uses
> such characters on the mode line, it must somehow arrange for that to
> happen, since the "normal" font-selection machinery in Emacs doesn't
> work for PUA characters.
> 
> So I'm afraid I cannot be of much help here, as I don't know how
> doom-emacs do this.
That's fine, it works for me now. Thanks for the quick help!

--